﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace CaptainQuery.CryptoHashProvider
{
    internal static class Config
    {
        static public Hashtable Data = (Hashtable)System.Configuration.ConfigurationManager.GetSection("CaptainQuery.CryptoHashProvider") ?? new Hashtable();
        public static byte[] FromHexString(String hexString)
        {
            int nBytes = hexString.Length >> 1;
            byte[] bytes = new byte[nBytes];
            for (int i = 0; i < nBytes; i++) bytes[i] = Convert.ToByte(hexString.Substring(i << 1, 2), 16);
            return bytes;
        }
        public static bool CompareTo(this byte[] a, byte[] b)
        {
            if (a.Length != b.Length) return false;
            for (int c = 0; c < a.Length; c++) if (a[c] != b[c]) return false; 
            return true;
        }


        static public byte[] CryptoSHASecret
        {
            get
            {
                var s = Data["AES_SHA_SECRET"] as String;
                return Encoding.UTF8.GetBytes(s);
            }
        }
    }
}
